LongParamContainer Class Reference

## Public Member Functions

LongParameterList * | getLongParameterList ()
void | add (const char *label, void *val, bool excl, int paramType, bool touch=0)
void | addGroup (const char *label)
void | addBool (const char *label, void *boolptr)
void | addExclusiveBool (const char *label, void *boolptr)
void | addInt (const char *label, void *intptr)
void | addSmartInt (const char *label, void *intptr)
void | addDouble (const char *label, void *doubleptr)
void | addString (const char *label, void *stringptr)
void | addPhoneHome (const char *version)
void | startLegacyParams ()

## Detailed Description

Definition at line 347 of file Parameters.h.

The documentation for this class was generated from the following files:

- general/Parameters.h
- general/Parameters.cpp